@base <https://purl.org/coscine/ap/radar/> .

@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .

@prefix dcterms: <http://purl.org/dc/terms/> .

@prefix coscineradar: <https://purl.org/coscine/ap/radar#> .

<https://purl.org/coscine/ap/radar/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "radar application profile"@en ;
  dcterms:description "The RADAR metadata schema v09 was created by the 2018 FIZ Karlsruhe - Leibniz-Institut fuer Informationsinfrastruktur GmbH and has been published under CC BY 4.0." ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/radar/> ;
  sh:closed true ; # no additional properties are allowed

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineradar:creator ;
  sh:property coscineradar:title ;
  sh:property coscineradar:created ;  
  sh:property coscineradar:subject ;
  sh:property coscineradar:type ;
  sh:property coscineradar:rights ;
  sh:property coscineradar:rightsHolder .

coscineradar:creator
  sh:path dcterms:creator ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "Creator"@en, "Ersteller"@de .

coscineradar:title
  sh:path dcterms:title ;
  sh:order 1 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "Title"@en, "Titel"@de .

coscineradar:created
  sh:path dcterms:created ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Production Date"@en, "Erstelldatum"@de .

coscineradar:subject
  sh:path dcterms:subject ;
  sh:order 3 ;
  sh:maxCount 1 ;
  sh:name "Subject Area"@en, "Fachrichtung"@de ;
  sh:class <http://www.dfg.de/dfg_profil/gremien/fachkollegien/faecher/> .

coscineradar:type
  sh:path dcterms:type ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:name "Resource"@en, "Ressource"@de ;
  sh:class <http://purl.org/dc/dcmitype/> .

coscineradar:rights
  sh:path dcterms:rights ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Rights"@en, "Berechtigung"@de .

coscineradar:rightsHolder
  sh:path dcterms:rightsHolder ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Rightsholder"@en, "Rechteinhaber"@de .
